import { axiosInstance } from "../config/api";

export const getDashboardStats = () => {
    const url = '/dashboard/';
    return new Promise((resolve, reject) => {
      axiosInstance
        .get(url)
        .then((response) => resolve(response))
        .catch((err) => reject(err));
    });
  };


export const getSignupMasterPricing = () => {
    const url = '/dashboard/signup-pricing-master';
    return new Promise((resolve, reject) => {
      axiosInstance
        .get(url)
        .then((response) => resolve(response))
        .catch((err) => reject(err));
    });
  };


export const setSignupMasterPricing = (data) => {
    const url = '/dashboard/signup-pricing-master';
    return new Promise((resolve, reject) => {
      axiosInstance
        .post(url, data)
        .then((response) => resolve(response))
        .catch((err) => reject(err));
    });
  };